#include <iostream>

using namespace std;

int main()
{
	int t,n;
	cin >> t;
	for(int i=0;i<t;i++)
	{
		cin >> n;
		long long a[n],b[n];
		for(int j=0;j<n;j++)
		{
			cin >> a[i];
		}
		for(int j=0;j<n;j++)
		{
			cin >> b[i];
		}
	}
	for(int i=0;i<t;i++)
	{
		cout << "DA" << endl;
	}
	return 0;
}